Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Class OtpNode.Mailboxes

    java.lang.Object
      com.ericsson.otp.erlang.OtpNode.Mailboxes

Enclosing class:
  OtpNode

    public class OtpNode.Mailboxes

extends java.lang.Object

Constructor Summary
`OtpNode.Mailboxes()`

Method Summary
`void` | `clear()`
`OtpMbox` | `create()`
`OtpMbox` | `create(java.lang.String name)`
`OtpMbox` | `get(OtpErlangPid pid)`
`OtpMbox` | `get(java.lang.String name)`
`java.lang.String[]` | `names()`
`boolean` | `register(java.lang.String name, OtpMbox mbox)`
`void` | `remove(OtpMbox mbox)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtpNode.Mailboxes

    public OtpNode.Mailboxes()

Method Detail

### create

    public OtpMbox create(java.lang.String name)

### create

    public OtpMbox create()

### clear

    public void clear()

### names

    public java.lang.String[] names()

### register

    public boolean register(java.lang.String name,
                            OtpMbox mbox)

### get

    public OtpMbox get(java.lang.String name)

### get

    public OtpMbox get(OtpErlangPid pid)

### remove

    public void remove(OtpMbox mbox)

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD